---
title: VRPose.timestamp
slug: Web/API/VRPose/timeStamp
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Obsolete
  - Property
  - Reference
  - Référence(2)
  - VR
  - VRPose
  - Virtual Reality
  - WebVR
  - timeStamp
---
<div>{{obsolete_header}}{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>timestamp</code></strong> read-only property of the {{domxref("VRPose")}} interface returns the current time stamp of the system — a monotonically increasing value representing the time since the current app was started.</p>

<p>This property is useful for determining if position data has been updated, and what order updates have occurred in.</p>

<div class="warning">
<p><strong>Important</strong>: This version of <code>timestamp</code> has been removed from the spec — instead, timestamps are returned when {{domxref("VRDisplay.getFrameData()")}} is called — see {{domxref("VRFrameData.timestamp")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myTimeStamp = VRPose.timestamp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} representing the timestamp, in seconds.</p>

<h2 id="Examples">Examples</h2>

<pre>TBD.</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRPose.timestamp")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a>.</li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
